import {BasicColumn, FormSchema} from "@/components/Table";

export const columns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'name',
    width: 120,
    // slots: { customRender: 'name' },
  },
  {
    title: '场景',
    dataIndex: 'scene',
    width: 150,
  },
  {
    title: '权属工作组',
    dataIndex: 'workgroup',
    width: 120,
  },
  {
    title: '创建时间',
    dataIndex: 'createTime',
    width: 150,
  },
  {
    title: '更新时间',
    dataIndex: 'updateTime',
    width: 150,
  },
  {
    title: '拥有者',
    dataIndex: 'owner',
    width: 100,
  },
  {
    title: '发布状态',
    dataIndex: 'releaseStatus',
    width: 120,
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: ' ',
    component: 'Input',
    colProps: { span: 5 },
    componentProps: {
      placeholder: '输入关键字搜索',
    },
  },
  {
    field: 'releaseStatus',
    label: ' ',
    component: 'Select',
    colProps: { span: 5 },
    componentProps: {
      placeholder: '发布状态',
      options: [
        { label: '未发布', value: '未发布' },
        { label: '已发布', value: '已发布' },
        { label: '审核中', value: '审核中' },
        { label: '已下线', value: '已下线' },
      ],
    },
  },
];
export const importFormSchema: any[] = [
  {
    label: '导入任务版本',
    field: 'importVersionAlert',
    slot: 'importVersionAlert',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'importType',
    label: '导入类型',
    component: 'RadioGroup',
    required: true,
    colProps: { lg: 24, md: 24 },
    defaultValue: '1',
    componentProps: {
      options: [
        { label: '同集群导入', value: '1' },
        { label: '其他集群导入', value: '2' },
      ],
    },
  },
  {
    field: 'importOptionsAlert',
    slot: 'importOptionsAlert',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'deptId',
    label: '导入至',
    component: 'TreeSelect',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      fieldNames: {
        label: 'deptName',
        value: 'businessId',
      },
      treeData: [
        {
          deptName: '数据加载',
          businessId: '1',
          children: [
            {
              deptName: '个人工作区',
              businessId: '11',
              children: [
                {
                  deptName: '图标验收',
                  businessId: '111',
                },
              ],
            },
            {
              deptName: '共享工作区',
              businessId: '12',
              children: [
                {
                  deptName: '学生成绩',
                  businessId: '122',
                },
              ],
            },
          ],
        },
      ],
    },
    required: true,
  },
  {
    field: 'fileMethods',
    label: '导入文件选择',
    slot: 'fileMethods',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'fileRename',
    label: '文件重名',
    component: 'RadioGroup',
    required: true,
    defaultValue: '3',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      options: [
        { label: '全部放弃', value: '1' },
        { label: '全部替换', value: '2' },
        { label: '自动重命名', value: '3' },
      ],
    },
  },
];
export const MoveFormSchema: any[] = [
  {
    field: 'taskId',
    label: '路径',
    component: 'TreeSelect',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      // border: 'none',
      fieldNames: {
        label: 'workSpaceName',
        value: 'businessId',
      },
      getPopupContainer: () => document.body,
    },
    required: true,
  },
];
export const formSchemaNewFolder: any = [
  {
    field: 'path',
    label: '路径',
    component: 'TreeSelect',
    rules: [
      {
        required: true,
        message: '请选择上级菜单',
      },
    ],
    componentProps: {
      fieldNames: {
        label: 'workSpaceName',
        value: 'businessId',
      },
      getPopupContainer: () => document.body,
    },
  },

  {
    field: 'name',
    label: '文件夹名称',
    component: 'Input',
    colProps: { span: 8 },
    componentProps: {
      placeholder: '输入文件夹名称',
    },
  },
  // {
  //   field: 'fileType',
  //   label: '权限模式',
  //   component: 'RadioGroup',
  //   defaultValue: '本级定义',
  //   colProps: { span: 8 },
  //   componentProps: {
  //     options: [
  //       { label: '本级定义', value: '本级定义' },
  //       { label: '资源自定义', value: '资源自定义' },
  //     ],
  //     placeholder: '输入描述',
  //   },
  // },
  // {
  //   field: 'group',
  //   label: '权属工作组',
  //   component: 'Select',
  //   defaultValue: '默认工作组',
  //   colProps: { span: 8 },
  //   componentProps: {
  //     placeholder: '输入描述',
  //     options: [{ label: '默认工作组', value: '默认工作组' }],
  //   },
  // },
];
